<template>
  <div>
    <div v-if="loading" role="status" class="max-w-sm animate-pulse">
      <div class="h-2.5 bg-gray-200 rounded-full dark:bg-gray-700 w-48 mb-4"></div>
      <div class="h-2 bg-gray-200 rounded-full dark:bg-gray-700 max-w-[360px] mb-2.5"></div>
      <div class="h-2 bg-gray-200 rounded-full dark:bg-gray-700 mb-2.5"></div>
      <div class="h-2 bg-gray-200 rounded-full dark:bg-gray-700 max-w-[330px] mb-2.5"></div>
      <div class="h-2 bg-gray-200 rounded-full dark:bg-gray-700 max-w-[300px] mb-2.5"></div>
      <div class="h-2 bg-gray-200 rounded-full dark:bg-gray-700 max-w-[360px]"></div>
      <span class="sr-only">Loading...</span>
    </div>
    <article v-else class="py-5 sm:flex lg:flex-col xl:flex-row xl:items-center ">
      <a class=" w-full sm:w-5/12 lg:w-full xl:w-5/12" href="/articles/what-a-four-day-week-actually-looks-like">
        <div class="zoom-container rounded-3xl overflow-hidden w-36 h-36 border-2 border-gray-50">
          <img alt="What a Four Day Week Actually Looks Like" loading="lazy" decoding="async" data-nimg="fill"
               class="rounded-3xl transition-transform duration-300 ease-in-out zoom w-full h-full object-cover"
               :src="news.pictureURL">
        </div>
      </a>
      <div class="dHctb3JkZXItMQ dHctbXQtNQ dHctdy1mdWxs dHctcHgtMg sm:dHctbXQtMA sm:dHctbWF4LXctc20 sm:dHctcGwtMA sm:dHctcHItNQ lg:dHctb3JkZXItMg lg:dHctbXQtNA xl:dHctbWwtNQ xl:dHctbXQtMA xl:dHctZmxleC0x">
        <a href="#">
          <h3 class="text-decoration-thickness font-medium leading-normal tracking-normal text-xl ml-5 text-left">
            {{ news.title }}
          </h3>
        </a>
        <p class="ml-5 mt-5">Source: medium.com</p>
      </div>
    </article>
  </div>
</template>

<script setup lang="ts">
const props = defineProps({
  loading: {
    type: Boolean,
    required: true
  },
  news: {
    type: Object,
    required: true
  }
})
</script>